std::relation(3)

NAME
std::relation - std::relation

Synopsis
   Defined in header <concepts>
   template <class R, class T, class U>
   concept relation = (1) (since C++20)
   std::predicate<R, T, T> && std::predicate<R, U, U> &&
   std::predicate<R, T, U> && std::predicate<R, U, T>;
   The concept relation<R, T, U> specifies that R defines a binary relation over the
   set of expressions whose type and value category are those encoded by either T or U.